# Database of crate metadata

Sqlite database with:

 * crate metadata and downloads
 * all crate keywords
 * crate [categories](https://gitlab.com/lib.rs/categories)
 * [crate files](https://lib.rs/data)

This is used to make crate category pages, read crate data files, as well as to guess categories and keywords for crates that are missing them in their metadata.
